import request from '@/utils/request'

// 查询优惠券领取记录列表
export function listCouponUser(query) {
  return request({
    url: '/system/CouponUser/list',
    method: 'get',
    params: query
  })
}

// 查询优惠券领取记录详细
export function getCouponUser(id) {
  return request({
    url: '/system/CouponUser/' + id,
    method: 'get'
  })
}

// 新增优惠券领取记录
export function addCouponUser(data) {
  return request({
    url: '/system/CouponUser',
    method: 'post',
    data: data
  })
}

// 修改优惠券领取记录
export function updateCouponUser(data) {
  return request({
    url: '/system/CouponUser',
    method: 'put',
    data: data
  })
}

// 删除优惠券领取记录
export function delCouponUser(id) {
  return request({
    url: '/system/CouponUser/' + id,
    method: 'delete'
  })
}
